<template>
    <form @submit.prevent="handleSubmit()">
        <!-- Version mieux avec validation HTML -->
        <label>Name
            <input type="text" v-model="student.name" required minlength="2">
        </label>

        <label>Age
            <input type="number" v-model="student.age" required min="18">
        </label>
        <button>Submit</button>
        <!-- Version pour l'exo -->
        <!-- <label :class="{error:invalidName}">Name
            <input type="text" v-model="student.name">
            <p>The name is too short</p>
        </label>

        <label :class="{error: invalidAge}">Age
            <input type="number" v-model="student.age">
            <p>Students must be at least 18</p>
        </label>
        <button :disabled="invalidAge || invalidName">Submit</button> -->
    </form>
</template>

<script setup lang="ts">
import type { Student } from '@/entities';
import { computed, ref } from 'vue';


const student = ref<Student>({
    name: '',
    age: 0
});

const invalidName = computed(() => student.value.name.length < 2);
const invalidAge = computed(() => student.value.age < 18);

function handleSubmit() {
    console.log(student.value)
}
</script>

<style scoped>
form {
    display: flex;
}

.error input{
    border-color: red;
}
.error p {
    display:block;
}
label p {
    display: none;
}
</style>